activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gert Vanthienen (JIRA)" <>
Subject [jira] [Commented] (AMQ-4341) activemq-broker feature can not be installed when OBR is enabled
Date Mon, 25 Feb 2013 08:34:12 GMT


Gert Vanthienen commented on AMQ-4341:

Instead of removing the dependency flags from xbean-spring and the JMS specification, wouldn't
it be better to ensure the activemq-osgi bundle imports those required packages?  That would
trigger the installation of those bundles too, but it would also avoid installing a second
version of xbean-spring if a suitable one is already available.
> activemq-broker feature can not be installed when OBR is enabled
> ----------------------------------------------------------------
>                 Key: AMQ-4341
>                 URL:
>             Project: ActiveMQ
>          Issue Type: Task
>    Affects Versions: 5.8.0
>            Reporter: Gert Vanthienen
>         Attachments: AMQ-4341.patch
> While trying to integrate ActiveMQ 5.8.0 into ServiceMix 5.0.0, I bumped into 2 problems
with the features descriptor on a Karaf-based container that has OBR resolution enabled for
the Features service:
> * the activemq-http fragment is referring to a Fragment-Host called {{org.apache.activemq.activemq-core}},
which no longer exists
> * the xbean-spring bundle is marked with {{dependency=true}} but no other bundle is importing
any packages from it, so it does not get installed - since {{activemq-karaf}} does need those
packages to work properly, the easiest solution is probably to add a proper Import-Package
header to that bundle.

This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see:

View raw message